Subject: IPP>MOD - Conformance -Reply

From: Scott Isaacson <[email-masked]>
Date: Tue, 22 Apr 1997 09:57:48 -0600

Roger,

My comments...

>>> Roger K Debry <[email-masked]> 04/21/97 01:46pm >>>
> o If the client supplies an attribute group that is implemented
>     by the Printer, the Printer shall respond with all currently
>     supported values for each implemented attribute in the group.
>     It shall not respond for unimplemented attributes in the
>     group. If the value of an attribute is unknown for some
>     reason, the Printer shall respond with the value "unknown" for
>     that attribute.

Add:

o If the client supplies an attribute group that is not implemented
    by the Printer, the Printer shall respond with no attributes or attribute
   values for that group. 

Also, we need to talk about extensions:

o In a query, if the client supplies an attribute group that is implemented
    by the Printer, the  Printer shall respond with all currently
    supported values for each implemented attribute in the group.  Since
    the printer may implement attributes for that group that the client
    might not expect to be in that group, the client may choose to
    ignore any attributes returned as part of that group.  The client shall
    not fail on any response to a query.

Have we decided what to do in the case where the client does not
supply any attributes or attribute groups in a query?

>  Sending a Query or Print request, an IPP client need not specify
>  any attributes.

Add:

If a client does not specify any attributes in a Query, the Printer responds
will ALL implemented attributes.

Scott